Warn users when using graduated/categorized/rule-based renderer and no rules have been specified

2015-06-18 09:03 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21075

Description

    -  load a layer

    -  add labelling > correct

    -  go to either graduated or categorized style, and do not press the Classify button

    -  the geometries disappear (not nce, but correct)

    -  also the labels disappear, which I believe is unexpected.

History

#1 - 2015-06-18 06:43 PM - Martin Dobias

Only visible features are labeled, so the behavior is correct. Maybe just better to warn users when using graduated/categorized/rule-based renderer and no

rules have been specified.

#2 - 2015-06-18 10:47 PM - Paolo Cavallini

- Subject changed from Labels disappears if a style is not classified to Warn users when using graduated/categorized/rule-based renderer and no rules 

have been specified

- Category changed from Labelling to Symbology

I'm a bit puzzled by this, but that's OK.

Changing the title and category of the ticket according to your suggestion.

#3 - 2015-06-18 10:49 PM - Nathan Woodrow

I think that is the correct thing to do in this case.  We do really need a No Symbol render that would still allow for rendering the labels.

#4 - 2015-06-18 11:18 PM - Paolo Cavallini

This can be done with no brus - no line, but yes, its' cumbersome.

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2018-03-07 05:28 PM - Paolo Cavallini
- Priority changed from Normal to Low

- Affected QGIS version changed from 2.8.2 to 3.0.0

- Description updated

Still true in QGIS 3. I believe users should be warned before applying an empty style.

#7 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#8 - 2019-03-09 03:24 PM - Giovanni Manghi

- Status changed from Closed to Open

- Resolution deleted (end of life)

#9 - 2019-03-09 03:26 PM - Paolo Cavallini

- Affected QGIS version changed from 3.0.0 to 3.6.0

- Status changed from Open to Reopened

Still true. The ticket was incorrectly closed, as it affected 3.0, not 2.18

#10 - 2019-03-09 03:31 PM - Giovanni Manghi

- Status changed from Reopened to Open
